# This Python file uses the following encoding: utf-8
"""autogenerated by genpy from mavros_msgs/HilGPS.msg. Do not edit."""
import sys
python3 = True if sys.hexversion > 0x03000000 else False
import genpy
import struct

import geographic_msgs.msg
import std_msgs.msg

class HilGPS(genpy.Message):
  _md5sum = "313b3baf2319db196fa18376a4900a7b"
  _type = "mavros_msgs/HilGPS"
  _has_header = True #flag to mark the presence of a Header object
  _full_text = """# HilControls.msg
#
# ROS representation of MAVLink HIL_GPS
# See mavlink message documentation here:
# https://mavlink.io/en/messages/common.html#HIL_GPS

std_msgs/Header header
uint8 fix_type
geographic_msgs/GeoPoint geo
uint16 eph
uint16 epv
uint16 vel
int16 vn
int16 ve
int16 vd
uint16 cog
uint8 satellites_visible

================================================================================
MSG: std_msgs/Header
# Standard metadata for higher-level stamped data types.
# This is generally used to communicate timestamped data 
# in a particular coordinate frame.
# 
# sequence ID: consecutively increasing ID 
uint32 seq
#Two-integer timestamp that is expressed as:
# * stamp.sec: seconds (stamp_secs) since epoch (in Python the variable is called 'secs')
# * stamp.nsec: nanoseconds since stamp_secs (in Python the variable is called 'nsecs')
# time-handling sugar is provided by the client library
time stamp
#Frame this data is associated with
# 0: no frame
# 1: global frame
string frame_id

================================================================================
MSG: geographic_msgs/GeoPoint
# Geographic point, using the WGS 84 reference ellipsoid.

# Latitude [degrees]. Positive is north of equator; negative is south
# (-90 <= latitude <= +90).
float64 latitude

# Longitude [degrees]. Positive is east of prime meridian; negative is
# west (-180 <= longitude <= +180). At the poles, latitude is -90 or
# +90, and longitude is irrelevant, but must be in range.
float64 longitude

# Altitude [m]. Positive is above the WGS 84 ellipsoid (NaN if unspecified).
float64 altitude
"""
  __slots__ = ['header','fix_type','geo','eph','epv','vel','vn','ve','vd','cog','satellites_visible']
  _slot_types = ['std_msgs/Header','uint8','geographic_msgs/GeoPoint','uint16','uint16','uint16','int16','int16','int16','uint16','uint8']

  def __init__(self, *args, **kwds):
    """
    Constructor. Any message fields that are implicitly/explicitly
    set to None will be assigned a default value. The recommend
    use is keyword arguments as this is more robust to future message
    changes.  You cannot mix in-order arguments and keyword arguments.

    The available fields are:
       header,fix_type,geo,eph,epv,vel,vn,ve,vd,cog,satellites_visible

    :param args: complete set of field values, in .msg order
    :param kwds: use keyword arguments corresponding to message field names
    to set specific fields.
    """
    if args or kwds:
      super(HilGPS, self).__init__(*args, **kwds)
      #message fields cannot be None, assign default values for those that are
      if self.header is None:
        self.header = std_msgs.msg.Header()
      if self.fix_type is None:
        self.fix_type = 0
      if self.geo is None:
        self.geo = geographic_msgs.msg.GeoPoint()
      if self.eph is None:
        self.eph = 0
      if self.epv is None:
        self.epv = 0
      if self.vel is None:
        self.vel = 0
      if self.vn is None:
        self.vn = 0
      if self.ve is None:
        self.ve = 0
      if self.vd is None:
        self.vd = 0
      if self.cog is None:
        self.cog = 0
      if self.satellites_visible is None:
        self.satellites_visible = 0
    else:
      self.header = std_msgs.msg.Header()
      self.fix_type = 0
      self.geo = geographic_msgs.msg.GeoPoint()
      self.eph = 0
      self.epv = 0
      self.vel = 0
      self.vn = 0
      self.ve = 0
      self.vd = 0
      self.cog = 0
      self.satellites_visible = 0

  def _get_types(self):
    """
    internal API method
    """
    return self._slot_types

  def serialize(self, buff):
    """
    serialize message into buffer
    :param buff: buffer, ``StringIO``
    """
    try:
      _x = self
      buff.write(_get_struct_3I().pack(_x.header.seq, _x.header.stamp.secs, _x.header.stamp.nsecs))
      _x = self.header.frame_id
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.pack('<I%ss'%length, length, _x))
      _x = self
      buff.write(_get_struct_B3d3H3hHB().pack(_x.fix_type, _x.geo.latitude, _x.geo.longitude, _x.geo.altitude, _x.eph, _x.epv, _x.vel, _x.vn, _x.ve, _x.vd, _x.cog, _x.satellites_visible))
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    except TypeError as te: self._check_types(ValueError("%s: '%s' when writing '%s'" % (type(te), str(te), str(locals().get('_x', self)))))

  def deserialize(self, str):
    """
    unpack serialized message in str into this message instance
    :param str: byte array of serialized message, ``str``
    """
    try:
      if self.header is None:
        self.header = std_msgs.msg.Header()
      if self.geo is None:
        self.geo = geographic_msgs.msg.GeoPoint()
      end = 0
      _x = self
      start = end
      end += 12
      (_x.header.seq, _x.header.stamp.secs, _x.header.stamp.nsecs,) = _get_struct_3I().unpack(str[start:end])
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.header.frame_id = str[start:end].decode('utf-8')
      else:
        self.header.frame_id = str[start:end]
      _x = self
      start = end
      end += 40
      (_x.fix_type, _x.geo.latitude, _x.geo.longitude, _x.geo.altitude, _x.eph, _x.epv, _x.vel, _x.vn, _x.ve, _x.vd, _x.cog, _x.satellites_visible,) = _get_struct_B3d3H3hHB().unpack(str[start:end])
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e) #most likely buffer underfill


  def serialize_numpy(self, buff, numpy):
    """
    serialize message with numpy array types into buffer
    :param buff: buffer, ``StringIO``
    :param numpy: numpy python module
    """
    try:
      _x = self
      buff.write(_get_struct_3I().pack(_x.header.seq, _x.header.stamp.secs, _x.header.stamp.nsecs))
      _x = self.header.frame_id
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.pack('<I%ss'%length, length, _x))
      _x = self
      buff.write(_get_struct_B3d3H3hHB().pack(_x.fix_type, _x.geo.latitude, _x.geo.longitude, _x.geo.altitude, _x.eph, _x.epv, _x.vel, _x.vn, _x.ve, _x.vd, _x.cog, _x.satellites_visible))
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    except TypeError as te: self._check_types(ValueError("%s: '%s' when writing '%s'" % (type(te), str(te), str(locals().get('_x', self)))))

  def deserialize_numpy(self, str, numpy):
    """
    unpack serialized message in str into this message instance using numpy for array types
    :param str: byte array of serialized message, ``str``
    :param numpy: numpy python module
    """
    try:
      if self.header is None:
        self.header = std_msgs.msg.Header()
      if self.geo is None:
        self.geo = geographic_msgs.msg.GeoPoint()
      end = 0
      _x = self
      start = end
      end += 12
      (_x.header.seq, _x.header.stamp.secs, _x.header.stamp.nsecs,) = _get_struct_3I().unpack(str[start:end])
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.header.frame_id = str[start:end].decode('utf-8')
      else:
        self.header.frame_id = str[start:end]
      _x = self
      start = end
      end += 40
      (_x.fix_type, _x.geo.latitude, _x.geo.longitude, _x.geo.altitude, _x.eph, _x.epv, _x.vel, _x.vn, _x.ve, _x.vd, _x.cog, _x.satellites_visible,) = _get_struct_B3d3H3hHB().unpack(str[start:end])
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e) #most likely buffer underfill

_struct_I = genpy.struct_I
def _get_struct_I():
    global _struct_I
    return _struct_I
_struct_B3d3H3hHB = None
def _get_struct_B3d3H3hHB():
    global _struct_B3d3H3hHB
    if _struct_B3d3H3hHB is None:
        _struct_B3d3H3hHB = struct.Struct("<B3d3H3hHB")
    return _struct_B3d3H3hHB
_struct_3I = None
def _get_struct_3I():
    global _struct_3I
    if _struct_3I is None:
        _struct_3I = struct.Struct("<3I")
    return _struct_3I
